org.apache.uima.cas.impl

## Class DebugFSLogicalStructure.IndexInfo

- java.lang.Object
- - org.apache.uima.cas.impl.DebugFSLogicalStructure.IndexInfo

- Enclosing class:
    DebugFSLogicalStructure

      public static class DebugFSLogicalStructure.IndexInfo
      extends Object

  Class holding information about an FSIndex Includes the "label" of the index, and a ref to the CAS this index contents are in.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CAS` | `cas`
    `FSIndex<FeatureStructure>` | `fsIndex`
    `String` | `indexName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexInfo(CAS cas, String indexName)`
    `IndexInfo(CAS cas, String indexName, Type type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContents()`
    `Object` | `getKind()`
    `Object` | `getSubTypes()`
    `Object` | `getType()`
    `String` | `toString()` Return a label identifying the content of the helper.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### indexName

          public String indexName

    - #### fsIndex

          public FSIndex<FeatureStructure> fsIndex

    - #### cas

          protected CAS cas

  - ### Constructor Detail

    - #### IndexInfo

          public IndexInfo(CAS cas,
                           String indexName)

    - #### IndexInfo

          public IndexInfo(CAS cas,
                           String indexName,
                           Type type)

      Parameters:
        `cas` - The CAS the index lives in.
        `indexName` - The name of the index to create the helper object for.
        `type` - The subtype to restrict the index to, `null` to use the index base type.

  - ### Method Detail

    - #### getKind

          public Object getKind()

    - #### getType

          public Object getType()

    - #### getContents

          public Object getContents()

    - #### getSubTypes

          public Object getSubTypes()

    - #### toString

          public String toString()

      Return a label identifying the content of the helper.
      Overrides:
        `toString` in class `Object`
      Returns:
        the label string.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.